{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Topological Atlas</title>
        <link rel="stylesheet" href="{% static " codex_app/style/fonts.css" %}">
        <style>
            body {
                font-family: sans-serif;
                width: 100%;
                margin: 0;
                height: 100%;
                /* font-family: "noto"; */
            }

            #viewport {
                position: absolute;
                top: 0;
                right: 0;
                bottom: 0;
                left: 0;
                background-color: #3f51b5;
                overflow: hidden;
            }

            #canvas-box {
                position: absolute;
                top: 0;
                left: 0;
                bottom: 0;
                right: 0;
                /* height: 80%; */
            }

            #canvas-box canvas {
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
            }

            #highlight-term {
                position: absolute;
                top: 12px;
                left: 12px;
                width: 80%;
                z-index: 100;
                color: #3f51b5;
                /* font-family: "noto"; */
            }

            #highlight-term .term-h {
                padding: 0.5em 1em;
            }

            #silhouette {
                position: absolute;
                bottom: 12px;
                left: 12px;
                /* height: 120px; */
            }

            #silhouette .picto {
                margin: 0 1em;
                height: 64px;
            }

            #tools {
                position: absolute;
                bottom: 12px;
                right: 12px;
            }

            #tools .tools-inner {
                display: flex;
            }

            #tools .around {
                width: 1em;
                height: 1em;
                border: 1px solid white;
                margin: 2px;
                background-color: green;
            }

            #paragraphs {
                position: absolute;
                /* top: 50px; */
                color: white;
                font-family: monospace;
                /* font-family: "noto"; */
                top: 0;
                right: 0;
                height: 0;
                overflow-y: auto;
                /* padding-left: 300px;
            padding-right: 300px; */
            }

            #paragraphs.active {
                height: 100%;
                width: 20%;
            }

            #paragraphs .main-annot {
                padding: 1em 2em 2em 1em;
                font-weight: bold;
                font-size: 16pt;
                /* position: relative; */
                /* ici, plutôt du blur sur une deuxième div, une copie de la div qui est floue et noire background: rgba(240, 186, 224, 0.3) */
            }

            #paragraphs .proximity-term {
                text-decoration: underline;
                /* position: relative;
            left: 600px; */
                /* -webkit-text-stroke: 1px rgb(243, 155, 214); */
            }

            /* regarder nth-of-type() pour, tous les x faire aller à gauche  ou à droite  */

            #paragraphs .main-term {
                text-decoration: underline;
                position: relative;
            }

            #paragraphs .proximity-annot {
                padding: 1em 2em 2em 1em;
                font-weight: bold;
                font-size: 13pt;
                position: relative;
                /* background: rgba(240, 186, 224, 0.3) */
                /* ici, plutôt du blur sur une deuxième div, une copie de la div qui est floue et noire background: rgba(240, 186, 224, 0.3) */
            }

            #paragraphs .location {
                color: #ff5722;
                cursor: pointer;
            }

            #paragraphs .location:hover {
                text-decoration: underline;
                color: #963619;
            }
        </style>
    </head>

    <body>
        <div id="viewport">
            <div id="canvas-box"></div>
            <!-- <div id="highlight-term"></div>
        <div id="paragraphs"></div>
        <div id="silhouette"></div> -->
            <div id="tools"></div>
        </div>
    </body>
    <script type="module">
        import { main } from "{% static 'codex_app/js/topo/index.js' %}";
        const images = {{ images| safe }};
        const image_annotations = {{ image_annotations | safe }};
        const paragraph_annotations = {{ paragraph_annotations | safe }};
        const terms = {{ terms| safe }};
        const places = {{ places| safe }};
        const paths = {{ paths| safe }};
        const categories = {{ categories| safe }};
        main({
            "app/mode": "topo",
            images,
            terms,
            places,
            paths,
            categories,
            "annotations/image": image_annotations,
            "annotations/paragraph": paragraph_annotations,
            "app/csrf": "{{ csrf_token }}",
        });
    </script>
</html>
